Endpoints
Format Document
POST
/
format
Format Document
curl --request POST \
--url https://api.documind.xyz/format \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"file": "<string>",
"format": {}
}
'import requests
url = "https://api.documind.xyz/format"
payload = {
"file": "<string>",
"format": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({file: '<string>', format: {}})
};
fetch('https://api.documind.xyz/format', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"createdAt": "<string>",
"status": "<string>",
"pages": 123,
"fileName": "<string>",
"type": "<string>",
"formats": {}
}Body
The file url
The format to convert the document to. Options are:
text, markdown. More soon.Response
The unique id of the formatting job.
Date and time when the job was created.
Status of the job.
Number of pages in the document processed.
The file URL.
The type of job.
Result of the formatting job.
⌘I
Format Document
